/* DO NOT EDIT: This file is automatically generated by Cabal */

/* package teletui-0.1.0.0 */
#ifndef VERSION_teletui
#define VERSION_teletui "0.1.0.0"
#endif /* VERSION_teletui */
#ifndef MIN_VERSION_teletui
#define MIN_VERSION_teletui(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  1 || \
  (major1) == 0 && (major2) == 1 && (minor) <= 0)
#endif /* MIN_VERSION_teletui */

/* package base-4.10.1.0 */
#ifndef VERSION_base
#define VERSION_base "4.10.1.0"
#endif /* VERSION_base */
#ifndef MIN_VERSION_base
#define MIN_VERSION_base(major1,major2,minor) (\
  (major1) <  4 || \
  (major1) == 4 && (major2) <  10 || \
  (major1) == 4 && (major2) == 10 && (minor) <= 1)
#endif /* MIN_VERSION_base */

/* package base-prelude-1.2.1 */
#ifndef VERSION_base_prelude
#define VERSION_base_prelude "1.2.1"
#endif /* VERSION_base_prelude */
#ifndef MIN_VERSION_base_prelude
#define MIN_VERSION_base_prelude(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  2 || \
  (major1) == 1 && (major2) == 2 && (minor) <= 1)
#endif /* MIN_VERSION_base_prelude */

/* package string-interpolate-0.1.0.1 */
#ifndef VERSION_string_interpolate
#define VERSION_string_interpolate "0.1.0.1"
#endif /* VERSION_string_interpolate */
#ifndef MIN_VERSION_string_interpolate
#define MIN_VERSION_string_interpolate(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  1 || \
  (major1) == 0 && (major2) == 1 && (minor) <= 0)
#endif /* MIN_VERSION_string_interpolate */

/* package text-1.2.3.0 */
#ifndef VERSION_text
#define VERSION_text "1.2.3.0"
#endif /* VERSION_text */
#ifndef MIN_VERSION_text
#define MIN_VERSION_text(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  2 || \
  (major1) == 1 && (major2) == 2 && (minor) <= 3)
#endif /* MIN_VERSION_text */

/* package containers-0.5.10.2 */
#ifndef VERSION_containers
#define VERSION_containers "0.5.10.2"
#endif /* VERSION_containers */
#ifndef MIN_VERSION_containers
#define MIN_VERSION_containers(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  5 || \
  (major1) == 0 && (major2) == 5 && (minor) <= 10)
#endif /* MIN_VERSION_containers */

/* package split-0.2.3.3 */
#ifndef VERSION_split
#define VERSION_split "0.2.3.3"
#endif /* VERSION_split */
#ifndef MIN_VERSION_split
#define MIN_VERSION_split(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  2 || \
  (major1) == 0 && (major2) == 2 && (minor) <= 3)
#endif /* MIN_VERSION_split */

/* package vector-0.12.0.1 */
#ifndef VERSION_vector
#define VERSION_vector "0.12.0.1"
#endif /* VERSION_vector */
#ifndef MIN_VERSION_vector
#define MIN_VERSION_vector(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  12 || \
  (major1) == 0 && (major2) == 12 && (minor) <= 0)
#endif /* MIN_VERSION_vector */

/* package brick-0.34.1 */
#ifndef VERSION_brick
#define VERSION_brick "0.34.1"
#endif /* VERSION_brick */
#ifndef MIN_VERSION_brick
#define MIN_VERSION_brick(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  34 || \
  (major1) == 0 && (major2) == 34 && (minor) <= 1)
#endif /* MIN_VERSION_brick */

/* package vty-5.20 */
#ifndef VERSION_vty
#define VERSION_vty "5.20"
#endif /* VERSION_vty */
#ifndef MIN_VERSION_vty
#define MIN_VERSION_vty(major1,major2,minor) (\
  (major1) <  5 || \
  (major1) == 5 && (major2) <  20 || \
  (major1) == 5 && (major2) == 20 && (minor) <= 0)
#endif /* MIN_VERSION_vty */

/* package wreq-0.5.2.1 */
#ifndef VERSION_wreq
#define VERSION_wreq "0.5.2.1"
#endif /* VERSION_wreq */
#ifndef MIN_VERSION_wreq
#define MIN_VERSION_wreq(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  5 || \
  (major1) == 0 && (major2) == 5 && (minor) <= 2)
#endif /* MIN_VERSION_wreq */

/* package aeson-1.2.4.0 */
#ifndef VERSION_aeson
#define VERSION_aeson "1.2.4.0"
#endif /* VERSION_aeson */
#ifndef MIN_VERSION_aeson
#define MIN_VERSION_aeson(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  2 || \
  (major1) == 1 && (major2) == 2 && (minor) <= 4)
#endif /* MIN_VERSION_aeson */

/* package lens-4.16.1 */
#ifndef VERSION_lens
#define VERSION_lens "4.16.1"
#endif /* VERSION_lens */
#ifndef MIN_VERSION_lens
#define MIN_VERSION_lens(major1,major2,minor) (\
  (major1) <  4 || \
  (major1) == 4 && (major2) <  16 || \
  (major1) == 4 && (major2) == 16 && (minor) <= 1)
#endif /* MIN_VERSION_lens */

/* package lens-aeson-1.0.2 */
#ifndef VERSION_lens_aeson
#define VERSION_lens_aeson "1.0.2"
#endif /* VERSION_lens_aeson */
#ifndef MIN_VERSION_lens_aeson
#define MIN_VERSION_lens_aeson(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  0 || \
  (major1) == 1 && (major2) == 0 && (minor) <= 2)
#endif /* MIN_VERSION_lens_aeson */

/* package microlens-0.4.8.3 */
#ifndef VERSION_microlens
#define VERSION_microlens "0.4.8.3"
#endif /* VERSION_microlens */
#ifndef MIN_VERSION_microlens
#define MIN_VERSION_microlens(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  4 || \
  (major1) == 0 && (major2) == 4 && (minor) <= 8)
#endif /* MIN_VERSION_microlens */

/* package microlens-th-0.4.1.3 */
#ifndef VERSION_microlens_th
#define VERSION_microlens_th "0.4.1.3"
#endif /* VERSION_microlens_th */
#ifndef MIN_VERSION_microlens_th
#define MIN_VERSION_microlens_th(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  4 || \
  (major1) == 0 && (major2) == 4 && (minor) <= 1)
#endif /* MIN_VERSION_microlens_th */

/* tool cpphs-1.20.8 */
#ifndef TOOL_VERSION_cpphs
#define TOOL_VERSION_cpphs "1.20.8"
#endif /* TOOL_VERSION_cpphs */
#ifndef MIN_TOOL_VERSION_cpphs
#define MIN_TOOL_VERSION_cpphs(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  20 || \
  (major1) == 1 && (major2) == 20 && (minor) <= 8)
#endif /* MIN_TOOL_VERSION_cpphs */

/* tool gcc-8 */
#ifndef TOOL_VERSION_gcc
#define TOOL_VERSION_gcc "8"
#endif /* TOOL_VERSION_gcc */
#ifndef MIN_TOOL_VERSION_gcc
#define MIN_TOOL_VERSION_gcc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  0 || \
  (major1) == 8 && (major2) == 0 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_gcc */

/* tool ghc-8.2.2 */
#ifndef TOOL_VERSION_ghc
#define TOOL_VERSION_ghc "8.2.2"
#endif /* TOOL_VERSION_ghc */
#ifndef MIN_TOOL_VERSION_ghc
#define MIN_TOOL_VERSION_ghc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  2 || \
  (major1) == 8 && (major2) == 2 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_ghc */

/* tool ghc-pkg-8.2.2 */
#ifndef TOOL_VERSION_ghc_pkg
#define TOOL_VERSION_ghc_pkg "8.2.2"
#endif /* TOOL_VERSION_ghc_pkg */
#ifndef MIN_TOOL_VERSION_ghc_pkg
#define MIN_TOOL_VERSION_ghc_pkg(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  2 || \
  (major1) == 8 && (major2) == 2 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_ghc_pkg */

/* tool haddock-2.18.1 */
#ifndef TOOL_VERSION_haddock
#define TOOL_VERSION_haddock "2.18.1"
#endif /* TOOL_VERSION_haddock */
#ifndef MIN_TOOL_VERSION_haddock
#define MIN_TOOL_VERSION_haddock(major1,major2,minor) (\
  (major1) <  2 || \
  (major1) == 2 && (major2) <  18 || \
  (major1) == 2 && (major2) == 18 && (minor) <= 1)
#endif /* MIN_TOOL_VERSION_haddock */

/* tool happy-1.19.9 */
#ifndef TOOL_VERSION_happy
#define TOOL_VERSION_happy "1.19.9"
#endif /* TOOL_VERSION_happy */
#ifndef MIN_TOOL_VERSION_happy
#define MIN_TOOL_VERSION_happy(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  19 || \
  (major1) == 1 && (major2) == 19 && (minor) <= 9)
#endif /* MIN_TOOL_VERSION_happy */

/* tool hpc-0.67 */
#ifndef TOOL_VERSION_hpc
#define TOOL_VERSION_hpc "0.67"
#endif /* TOOL_VERSION_hpc */
#ifndef MIN_TOOL_VERSION_hpc
#define MIN_TOOL_VERSION_hpc(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  67 || \
  (major1) == 0 && (major2) == 67 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_hpc */

/* tool hsc2hs-0.68.2 */
#ifndef TOOL_VERSION_hsc2hs
#define TOOL_VERSION_hsc2hs "0.68.2"
#endif /* TOOL_VERSION_hsc2hs */
#ifndef MIN_TOOL_VERSION_hsc2hs
#define MIN_TOOL_VERSION_hsc2hs(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  68 || \
  (major1) == 0 && (major2) == 68 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_hsc2hs */

/* tool hscolour-1.24 */
#ifndef TOOL_VERSION_hscolour
#define TOOL_VERSION_hscolour "1.24"
#endif /* TOOL_VERSION_hscolour */
#ifndef MIN_TOOL_VERSION_hscolour
#define MIN_TOOL_VERSION_hscolour(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  24 || \
  (major1) == 1 && (major2) == 24 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_hscolour */

/* tool pkg-config-0.29.1 */
#ifndef TOOL_VERSION_pkg_config
#define TOOL_VERSION_pkg_config "0.29.1"
#endif /* TOOL_VERSION_pkg_config */
#ifndef MIN_TOOL_VERSION_pkg_config
#define MIN_TOOL_VERSION_pkg_config(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  29 || \
  (major1) == 0 && (major2) == 29 && (minor) <= 1)
#endif /* MIN_TOOL_VERSION_pkg_config */

/* tool runghc-8.2.2 */
#ifndef TOOL_VERSION_runghc
#define TOOL_VERSION_runghc "8.2.2"
#endif /* TOOL_VERSION_runghc */
#ifndef MIN_TOOL_VERSION_runghc
#define MIN_TOOL_VERSION_runghc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  2 || \
  (major1) == 8 && (major2) == 2 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_runghc */

/* tool strip-2.31 */
#ifndef TOOL_VERSION_strip
#define TOOL_VERSION_strip "2.31"
#endif /* TOOL_VERSION_strip */
#ifndef MIN_TOOL_VERSION_strip
#define MIN_TOOL_VERSION_strip(major1,major2,minor) (\
  (major1) <  2 || \
  (major1) == 2 && (major2) <  31 || \
  (major1) == 2 && (major2) == 31 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_strip */

#ifndef CURRENT_COMPONENT_ID
#define CURRENT_COMPONENT_ID "teletui-0.1.0.0-KpYC1wi371N31F5qElNcqy-teletui"
#endif /* CURRENT_COMPONENT_ID */
#ifndef CURRENT_PACKAGE_VERSION
#define CURRENT_PACKAGE_VERSION "0.1.0.0"
#endif /* CURRENT_PACKAGE_VERSION */

#undef CURRENT_PACKAGE_KEY
#undef CURRENT_COMPONENT_ID
